Package org.gradle.plugin.devel.tasks

## Class PluginUnderTestMetadata

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugin.devel.tasks.PluginUnderTestMetadata

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class PluginUnderTestMetadata
      extends DefaultTask

  Custom task for generating the metadata for a plugin user test.
  Since:
    2.13

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `IMPLEMENTATION_CLASSPATH_PROP_KEY` |
    `static String` | `METADATA_FILE_NAME` |

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PluginUnderTestMetadata()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generate()` |
    `DirectoryProperty` | `getOutputDirectory()` | The target output directory used for writing the classpath manifest.
    `protected List<String>` | `getPaths()` |
    `ConfigurableFileCollection` | `getPluginClasspath()` | The code under test.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_CLASSPATH_PROP_KEY

          public static final String IMPLEMENTATION_CLASSPATH_PROP_KEY

      See Also:
        Constant Field Values

    - #### METADATA_FILE_NAME

          public static final String METADATA_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginUnderTestMetadata

          public PluginUnderTestMetadata()

  - ### Method Detail

    - #### getPluginClasspath

          @Classpath
          public ConfigurableFileCollection getPluginClasspath()

      The code under test. Defaults to `sourceSets.main.runtimeClasspath`.

    - #### getOutputDirectory

          @OutputDirectory
          public DirectoryProperty getOutputDirectory()

      The target output directory used for writing the classpath manifest. Defaults to `"$buildDir/$task.name"`.

    - #### generate

          public void generate()

    - #### getPaths

          @Input
          protected List<String> getPaths()